/***************************************************************************
                          gpu.h  -  description
                             -------------------
    begin                : Sun Oct 15 2000
    copyright            : (C) 2000 by Pete Bernert
    email                : PeteBernert@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

long GPUinit(char * pGpuPlugin);
long GPUshutdown(void);
long GPUopen(unsigned long * Disp, char * pCapTxt,char * pCfgFile);
long GPUclose(void);

void GPUkeypressed(int keycode);

void GPUupdateLace(void);

long GPUdmaChain(unsigned long * baseAddrL, unsigned long addr);

unsigned long GPUreadStatus(void);
void GPUwriteStatus(unsigned long gdata);

unsigned long GPUreadData(void);
void GPUreadDataMem(unsigned long * pMem, int iSize);

void GPUwriteDataMem(unsigned long * pMem, int iSize);
void GPUwriteData(unsigned long gdata);

char * GPUgetLibInfos(void);

void GPUsetMode(unsigned long gdata);
long GPUgetMode(void);

#ifdef __cplusplus
};
#endif
